summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-07-31 21:52:46 +0000
committer Eric Hameleers <alien@slackware.com>2023-08-01 13:30:32 +0200
commitb64d3ecbf3f117db6e40a797cb7da1f429b449e4 (patch)
tree90f6912bc1929d691234e59a9ab68c521a3eb690 /patches
parentb15eb44ef7c03e0cb238a9f9c28ea30c5ff057bc (diff)
downloadcurrent-b64d3ecbf3f117db6e40a797cb7da1f429b449e4.tar.gz
current-b64d3ecbf3f117db6e40a797cb7da1f429b449e4.tar.xz
Mon Jul 31 21:52:46 UTC 202320230731215246_15.0
patches/packages/mozilla-thunderbird-102.13.1-x86_64-1_slack15.0.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/102.13.1/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2023-28/ https://www.cve.org/CVERecord?id=CVE-2023-3417 (* Security fix *) patches/packages/seamonkey-2.53.17-x86_64-1_slack15.0.txz: Upgraded. This update contains security fixes and improvements. For more information, see: https://www.seamonkey-project.org/releases/seamonkey2.53.17 (* Security fix *)
Diffstat (limited to 'patches')
-rw-r--r--patches/packages/mozilla-thunderbird-102.13.1-x86_64-1_slack15.0.txt (renamed from patches/packages/mozilla-thunderbird-102.13.0-x86_64-1_slack15.0.txt)0
-rw-r--r--patches/packages/seamonkey-2.53.17-x86_64-1_slack15.0.txt (renamed from patches/packages/seamonkey-2.53.16-x86_64-1_slack15.0.txt)0
-rwxr-xr-xpatches/source/mozilla-thunderbird/build-deps.sh12
-rw-r--r--patches/source/seamonkey/double_t.x86.diff13
-rwxr-xr-xpatches/source/seamonkey/seamonkey.SlackBuild5
5 files changed, 26 insertions, 4 deletions
diff --git a/patches/packages/mozilla-thunderbird-102.13.0-x86_64-1_slack15.0.txt b/patches/packages/mozilla-thunderbird-102.13.1-x86_64-1_slack15.0.txt
index 5acb7b92e..5acb7b92e 100644
--- a/patches/packages/mozilla-thunderbird-102.13.0-x86_64-1_slack15.0.txt
+++ b/patches/packages/mozilla-thunderbird-102.13.1-x86_64-1_slack15.0.txt
diff --git a/patches/packages/seamonkey-2.53.16-x86_64-1_slack15.0.txt b/patches/packages/seamonkey-2.53.17-x86_64-1_slack15.0.txt
index dad8e1f1b..dad8e1f1b 100644
--- a/patches/packages/seamonkey-2.53.16-x86_64-1_slack15.0.txt
+++ b/patches/packages/seamonkey-2.53.17-x86_64-1_slack15.0.txt
diff --git a/patches/source/mozilla-thunderbird/build-deps.sh b/patches/source/mozilla-thunderbird/build-deps.sh
index 69d1a8b29..69ff60479 100755
--- a/patches/source/mozilla-thunderbird/build-deps.sh
+++ b/patches/source/mozilla-thunderbird/build-deps.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2019, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,13 +29,17 @@ chmod 700 $TMP/mozilla-thunderbird-build-deps
PATH=$TMP/mozilla-thunderbird-build-deps/usr/bin:$HOME/.cargo/bin:$PATH
# cbindgen is a build-time dependency:
-( cd $CWD/build-deps/cbindgen ; ./cbindgen.build ) || exit 1
+if [ ! -x /usr/bin/cbindgen ]; then
+ ( cd $CWD/build-deps/cbindgen ; ./cbindgen.build ) || exit 1
+fi
if /bin/ls build-deps*.txz 1> /dev/null 2> /dev/null ; then # use prebuilt autoconf/nodejs
( cd $TMP/mozilla-thunderbird-build-deps ; tar xf $CWD/build-deps*.txz )
else
# We need to use the incredibly ancient autoconf-2.13 for this :/
( cd $CWD/build-deps/autoconf ; ./autoconf.build ) || exit 1
- # And node.js... WHY
- ( cd $CWD/build-deps/nodejs ; ./nodejs.build ) || exit 1
+ # And node.js...
+ if [ ! -x /usr/bin/node ]; then
+ ( cd $CWD/build-deps/nodejs ; ./nodejs.build ) || exit 1
+ fi
fi
diff --git a/patches/source/seamonkey/double_t.x86.diff b/patches/source/seamonkey/double_t.x86.diff
new file mode 100644
index 000000000..adbe9f538
--- /dev/null
+++ b/patches/source/seamonkey/double_t.x86.diff
@@ -0,0 +1,13 @@
+--- ./modules/fdlibm/src/math_private.h.orig 2023-07-31 15:30:17.157093845 -0500
++++ ./modules/fdlibm/src/math_private.h 2023-07-31 15:31:19.745095245 -0500
+@@ -30,8 +30,8 @@
+ * Adapted from https://github.com/freebsd/freebsd-src/search?q=__double_t
+ */
+
+-typedef double __double_t;
+-typedef __double_t double_t;
++typedef long double __double_t;
++typedef long double double_t;
+ typedef float __float_t;
+
+ /*
diff --git a/patches/source/seamonkey/seamonkey.SlackBuild b/patches/source/seamonkey/seamonkey.SlackBuild
index 91bf854da..7de48f1f9 100755
--- a/patches/source/seamonkey/seamonkey.SlackBuild
+++ b/patches/source/seamonkey/seamonkey.SlackBuild
@@ -135,6 +135,11 @@ zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
# requirement seriously:
zcat $CWD/seamonkey.minimum_rust_version.diff.gz | patch -p1 --verbose || exit 1
+# Fix header mismatch on x86 with GCC:
+if [ "$ARCH" = "i686" -a "$CC" = "gcc" ]; then
+ zcat $CWD/double_t.x86.diff.gz | patch -p1 --verbose || exit 1
+fi
+
# Make sure the perms/ownerships are sane:
chown -R root:root .
find . \